(*
/*

CLASS {NATIVE_Log_html|_Delphi}, NATIVE,
ABSTRACT :

IMPORT: {System_functions} .

NATIVE: "uses NATIVE_Log_html;" .


FUN Do_redirect_console_to_log(
BOOL R|edirect_or_stop_redirect_if_false,
BOOL Dup|licate_in_console), NATIVE:
	"Do_redirect_console_to_log(X_R, X_Dup);" . 
*/
*)
unit NATIVE_Log_html;

interface

uses AL4;

var Path_html_stored: String;

procedure Do_redirect_console_to_log(r, dup: Boolean);
 
implementation

uses unitC_Log_html;
  
(*  
/*

FUN Set_log_path( STR Path|_value ), NATIVE :
   @"Path_html_stored := X_Path;" .
   
FUN Get_log_path ==> STR, NATIVE:
   @"RESULT := Path_html_stored;" .
   
FUN Before_log|DUMMY :  .

FUN After_log|DUMMY : .
	
   
   
END
*/
*)

procedure Write_redirected(
const s: String);
begin
	M_Log_colored(0, s);
end;

procedure Do_redirect_console_to_log(
r, dup: Boolean);
begin
	if r then 
		sim_Write := {$IFDEF FPC}@{$ENDIF} Write_redirected
	else sim_Write := nil;
	dup_Write := dup;
end;
 
end .

